/**
 * Wrapper for prompter library
 * Because @inquirer/prompts library set the methods as non-configurable, we cannot mock the methods directly.
 * see details: https://github.com/orgs/nodejs/discussions/47959
 */
export declare class AmplifyPrompter {
    /**
     * A confirm style prompt. Styles question as `y/N`
     * @param options for displaying the prompt
     * @param options.message display for the prompt
     * @param options.defaultValue if user submits without typing anything. Defaults false
     * @returns the boolean answer
     */
    static yesOrNo: (options: {
        message: string;
        defaultValue?: boolean;
    }) => Promise<boolean>;
    /**
     * A secret prompt.
     */
    static secretValue: (promptMessage?: string) => Promise<string>;
    /**
     * An input style prompt.
     * @param options for displaying the prompt
     * @param options.message display for the prompt
     * @param options.defaultValue if user submits without typing anything. Default: "."
     * @returns Promise<string> the user input
     */
    static input: (options: {
        message: string;
        defaultValue?: string;
    }) => Promise<string>;
}
//# sourceMappingURL=amplify_prompts.d.ts.map